### Constructor

# Ide FileSettings new

#### Declaration

    IdeFileSettings*
    ide_file_settings_new (
      IdeObject* parent,
      GFile* file,
      const gchar* language
    )

#### Description

No description available.

#### Parameters

`parent` | `IdeObject`
| No description available.
| The data is owned by the caller of the function.
`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`language` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeFileSettings`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.